<?php
/*
Plugin Name: Shockingly Simple Favicon
Plugin URI: http://wordpress.org/extend/plugins/shockingly-simple-favicon/
Description: A shockingly simple favicon for your site. Go to the <a href="options-general.php?page=shockingly-simple-favicon/shockingly-simple-favicon.php">plugin page</a> for more information.
Author: matias s.
Version: 1.6.5
Author URI: http://www.incerteza.org/blog/
*/

/*
Copyright 2008  Matias Schertel  (email : matias@incerteza.org)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
$favi_dom = "shockingly-simple-favicon";

// ATIVAO DO PLUGIN
register_activation_hook( __FILE__, 'favi_activate' );
function favi_activate() {
	if (!(get_option("favi_setup")=="false")) {
		add_option("favi_setup", "false");
		// OPES
		add_option("favi_url", get_settings("siteurl") . "/favicon.ico");
		add_option("favi_admin", "true");
		//$favi_iconurl = get_settings("siteurl") . "/favicon.ico";
		//update_option("favi_url", get_settings("siteurl") . "/favicon.ico");
	}
}

// DESATIVAO DO PLUGIN
register_deactivation_hook( __FILE__, 'favi_deactivate' );
function favi_deactivate() {
	delete_option("favi_setup");
	delete_option("favi_url");
	delete_option("favi_admin");
}

// BLOG HEAD
add_action("wp_head", "favi_head");
function favi_head() {
	echo "<link rel=\"shortcut icon\" href=\"" . favi_geticon() . "\" type=\"image/x-icon\" />";
}
function favi_geticon() {
	$favi_iconurl = get_option("favi_url");
	if (!file_exists(substr($favi_iconurl,(strlen(get_settings("siteurl"))+1)))) {
		$favi_iconurl = get_settings("siteurl") . "/favicon.ico";
		if (!file_exists("favicon.ico")) {
			$favi_iconurl = get_settings("siteurl") . "/wp-content/plugins/shockingly-simple-favicon/default/favicon.ico";
		}
	}
	return $favi_iconurl;
}

// ADMIN HEAD
add_action("admin_head", "favi_adminhead");
function favi_adminhead() {
	if (get_option("favi_admin")=="true") {
		echo "<link rel=\"shortcut icon\" href=\"" . get_settings("siteurl") . "/wp-content/plugins/shockingly-simple-favicon/admin/favicon.ico\" type=\"image/x-icon\" />";
	}
}

// INICIALIZACAO
add_action("init", "favi_init");
function favi_init() {
	global $favi_dom;
	load_plugin_textdomain($favi_dom,"/wp-content/plugins/shockingly-simple-favicon/lang/");
}

// OPTION PAGE
add_action("admin_menu", "favi_menu");
function favi_menu() {
	add_options_page(__("Shockingly Simple Favicon Options",$favi_dom), __("Shockingly Simple Favicon",$favi_dom), 8, __FILE__, "favi_options");
}

function favi_options() {
global $favi_dom;
	if (isset($_POST['update_options'])) {
		update_option("favi_url", $_POST["favi_form_url_opt"]);
		update_option("favi_admin", $_POST["favi_form_admin_opt"]);
        echo "<div id=\"message\" class=\"updated fade\"><p><strong>" . __("Options updated.", $ie6w_dom) . "</strong></p></div>";
	} else if (isset($_POST['reset_options'])) {
		update_option("favi_url", get_settings("siteurl") . "/favicon.ico");
		update_option("favi_admin", "true");
		echo "<div id=\"message\" class=\"updated fade\"><p><strong>" . __("Default options loaded.", $ie6w_dom) . "</strong></p></div>";
	}
?>
	<div class="wrap">
		<h2>Shockingly Simple Favicon</h2>
		<p><?php echo __("\"<i>A <a href=\"http://en.wikipedia.org/wiki/Favicon\" target=\"_blank\" rel=\"nofollow\">favicon</a> (short for favorites icon), also known as a website icon, shortcut icon, url icon, or bookmark icon is an icon associated with a particular website or webpage.</i>\"",$favi_dom); ?></p>
		<p><?php echo __("Upload your favicon to <strong>" . get_settings("siteurl") . "/</strong>, the file should be named <strong>favicon.ico</strong>.",$favi_dom); ?></p>
		<p><?php echo __("A favicon is normally a .ico file with 16x16 in size, although .png and .gif are also suported IE (obviously) only supports the .ico file.",$favi_dom); ?></p>
		<p><?php echo __("A cool site to you draw yours is <a href=\"http://www.favicon.cc/\" target=\"_blank\" rel=\"nofollow\">favicon.ico Generator</a>.",$favi_dom); ?></p>
		<p></p>
		<p><?php echo __("<strong>Attention</strong>: Internet Explorer (7.0 or lesses) handles favicons in a horrible way, the code use works in IE7 and IE6, but there are somethings you have to pay attention for it works:",$favi_dom); ?></p>
		<ul style="margin-left:15px">
		 <li><?php echo __("The .ico file should be 16x16 in size;",$favi_dom); ?></li>
		 <li><?php echo __("The .ico file should be a 100% valid icon;",$favi_dom); ?></li>
		 <li><?php echo __("There cant be another sizes in the .ico file (icons can have many sizes images in one file);",$favi_dom); ?></li>
		 <li><?php echo __("It cant be animated (<strong>most important!</strong>).",$favi_dom); ?></li>
		</ul>
		<p><?php echo __("If you want to have certain that your favicon match this characteristics i recommend that you use that you use the freeware icon edition program <a href=\"http://icofx.ro/\" target=\"_blank\" rel=\"nofollow\">icoFX</a>, open your favicon.ico, delete any size image diferent then 16x16, delete other frames (if animated), and save as a new favicon.ico, that should do the trick!",$favi_dom); ?></p>
		<h3>Settings</h3>
		<p style="margin-left:10px;"><?php echo __("By default the <strong>favicon.ico</strong> will be loaded from the root directory of your blog (<strong>" . get_settings("siteurl") . "/</strong>). Here you can specify a different location, if the icon is not found in this location the plugin will search in the root directory, and if not find it in there either will load the default favicon (<img src=\"" . get_settings("siteurl") . "/wp-content/plugins/shockingly-simple-favicon/default/favicon.ico\" width=\"16\" height=\"16\">).",$favi_dom); ?></p>
		<form method="post" name="options" target="_self">
		<p><label for="name" style="width: 125px;float: left;text-align: left;margin-left: 10px;margin-right: 10px"><?php echo __("Favicon URL", $favi_dom); ?></label><input type="text" name="favi_form_url_opt" style="width:500px;background-image:url(<?php echo get_option("favi_url") ?>);background-repeat:no-repeat;padding-left:20px;background-position:3px center;" value="<?php echo get_option("favi_url") ?>"/></p>
		<p><label for="name" style="width: 125px;float: left;text-align: left;margin-left: 10px;margin-right: 10px"><?php echo __("Wordpress Favicon at admin interface", $favi_dom); ?></label><select name="favi_form_admin_opt" style="width: 100px"><option value="true"<?php if (get_option("favi_admin") == "true") echo " selected=\"selected\"";?> /><?php echo __("Yes", $favi_dom); ?></option><option value="false"<?php if (get_option("favi_admin") == "false") echo " selected=\"selected\"";?> /><?php echo __("No", $favi_dom); ?></option></select></p>
		<p class="submit"><input type="submit" name="update_options" value="<?php echo __("Update", $favi_dom); ?>"/> <input type="submit" name="reset_options" value="<?php echo __("Default options", $favi_dom); ?>"/></p>
		</form>
		<p><?php echo __("<strong>Note</strong>: i'm still learning PHP & Wordpress coding and im using this plugin to study, so if you have any idea or any kind of suggestion please contact me.",$favi_dom); ?></p>
		<p><?php echo __("by <a href=\"mailto:matias@incerteza.org\">matias s.</a> at <a href=\"http://www.incerteza.org/blog/\" target=\"_blank\" rel=\"nofollow\">incerteza.org</a>",$favi_dom); ?></p>
	</div>
<?php } ?>
